Subject: Another pine enhancement

From: Guillermo Pereyra Irujo <[email-masked]>
Date: Tue, 27 Feb 2001 20:58:56 -0300 (ART)

Another idea for pine would be an auto-flush feature, which automatically
deletes a message or moves it to a pre-delete folder when one of these
(and possibly other) conditions match:
-the message is more than x days old
-the folder has more than x messages and this message is the older
-the folder's size is more than x kbytes and this message is the older

This feature would be aimed to automatically keep in a folder (probably an
incoming folder, not an archive one) just the last messages (of the last
30 days, for example) to reduce the sorting time and avoid unnoticed 20Mb
folders, among others.

I know the pruned-folders feature does this, but it just leaves you with
no messages from the day before each 1st of a month, and it works only in
a per-month basis. That IS useful for a folder like sent-mail, which one
never opens (I never do, at least). I think it's not that useful for the
inbox.

Maybe the solution is not adding a new feature but just a new field to the
filters: Days-old. Though this would work only with the first condition I
proposed, there will be then a way to achive that auto-flush effect I
mentioned at the beginning.

--
Guillermo Pereyra Irujo
mailto:[email-masked]

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------